Description

When fetching features from a query it would be useful to allow using keywords to be substituted on each fetching.
Such keywords, in particular pixel sizes and extent, could be used by the query to preprocess geometries (like DP-simplification, grid
snapping etc.) and reduce the amount of geometries fetched (using extent information).

History

#1 - 2011-12-09 08:31 AM - Paolo Cavallini
- Category set to Data Provider

#2 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2016-07-28 06:21 AM - Andreas Wicht

That would be a great change in order to make actual use of the postgis_topology in QGIS. For tiny topologies it would not make much of a difference, but
for the bigger ones.

Big topologies are completely un-editable in QGIS due to the restriction that spatial indexing is not compatible with the TopoGeometry type.

So, given the fact, that a table additionally stores the Geometry representation of a TopoGeometry, the Geometry column could be used to query the
spatial extents and therefore utilising spatial indexing while displaying and editing the TopoGeometry column.

That would enable anybody to utilise QGIS for the editing process of large postgis topologies as no custom web-gis solutions would have to be developed.

Reconsidering the target version would be highly appreciated by me :-)

#6 - 2016-07-28 06:51 AM - Sandro Santilli

| guess "target version" could be changed if someone provides an actual patchset to implement the keyword substitution.

#7 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
